export interface RequirementsData {
    javaHome: string;
    javaVersion: number;
}
/**
 * Resolves the requirements needed to run the extension.
 * Returns a promise that will resolve to a RequirementsData if
 * all requirements are resolved
 *
 */
export declare function resolveRequirements(javaHomeConfig: any): Promise<RequirementsData>;
